#!/bin/bash

TESTFILE=/tmp/testfile.zero
FILESIZE=10000

# create testfile
dd if=/dev/zero of=$TESTFILE bs=1k count=$FILESIZE

for nodes1 in `ls /proc/hpc/nodes/`
 do
 # is the node up
 let "TMP=`cat /proc/hpc/nodes/$nodes1/cpus`"
 if (( $TMP!="-101" ));
  then

  for nodes2 in `ls /proc/hpc/nodes/`
   do
   # is the node up
   let "TMP1=`cat /proc/hpc/nodes/$nodes2/cpus`"
   if (( $TMP1!="-101" ));
    then

    echo "cp $TESTFILE from here to node $nodes2"
    mosrun -$nodes1 cp $TESTFILE /mfs/$nodes2$TESTFILE
  
    echo "cp $TESTFILE from mfs-node $nodes2 to local"
    mosrun -$nodes1 cp /mfs/$nodes2$TESTFILE $TESTFILE
  
    if [ $nodes1 == $nodes2 ]
     then
     echo "nodes equal! do not cp"
     else
     echo "cp $TESTFILE from mfs-node $nodes2 to mfs-node $nodes1"
     mosrun -$nodes1 cp /mfs/$nodes2$TESTFILE /mfs/$nodes1$TESTFILE
    fi
  
    if [ $nodes1 == $nodes2 ]
     then
     echo "nodes equal! do not cp"
     else
     echo "cp $TESTFILE from mfs-node $nodes1 to mfs-node $nodes2"
     mosrun -$nodes1 cp /mfs/$nodes1$TESTFILE /mfs/$nodes2$TESTFILE
    fi

   fi
  done
 fi
done


# cleaning up the nodes
for nodes3 in `ls /proc/hpc/nodes/`
 do

 # is the node up
 let "TMP1=`cat /proc/hpc/nodes/$nodes3/cpus`"
 if (( $TMP1!="-101" ));
  then

  echo "delete /mfs/$nodes3$TESTFILE"
  rm /mfs/$nodes3$TESTFILE
 fi

done



echo "finished ok"

